| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::BaseProtocolAvatarsInterface Class Reference
Connection manager service implementation

Base class for implementations of Protocol.Interface.Avatars. More...

`#include <TelepathyQt/BaseProtocolAvatarsInterface>`

Inherits Tp::AbstractProtocolInterface.

List of all members.

## Public Member Functions

- virtual ~BaseProtocolAvatarsInterface ()
- QVariantMap immutableProperties () const
- AvatarSpec avatarDetails () const
- void setAvatarDetails (const AvatarSpec &spec)

## Static Public Member Functions

- static
  BaseProtocolAvatarsInterfacePtr create ()
- template<typename BaseProtocolAvatarsInterfaceSubclass > static SharedPtr
  < BaseProtocolAvatarsInterfaceSubclass > create ()

## Protected Member Functions

- BaseProtocolAvatarsInterface ()

## Detailed Description

Base class for implementations of Protocol.Interface.Avatars.

## Constructor & Destructor Documentation

Tp::BaseProtocolAvatarsInterface::~BaseProtocolAvatarsInterface | ( |  | ) | `[virtual]`

Class destructor.

Tp::BaseProtocolAvatarsInterface::BaseProtocolAvatarsInterface | ( |  | ) | `[protected]`

Class constructor.

## Member Function Documentation

static BaseProtocolAvatarsInterfacePtr Tp::BaseProtocolAvatarsInterface::create | ( |  | ) | `[inline, static]`

template<typename BaseProtocolAvatarsInterfaceSubclass >

static SharedPtr<BaseProtocolAvatarsInterfaceSubclass> Tp::BaseProtocolAvatarsInterface::create | ( |  | ) | `[inline, static]`

QVariantMap Tp::BaseProtocolAvatarsInterface::immutableProperties | ( |  | ) | const`[virtual]`

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns:
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

AvatarSpec Tp::BaseProtocolAvatarsInterface::avatarDetails | ( |  | ) | const

Return the AvatarSpec that has been set with setAvatarDetails().

The contents of this AvatarSpec are exposed as the various properties of this interface on the bus and represent the expected values of the Connection.Interface.Avatars properties on connections of this protocol.

This property is immutable and cannot change after this interface has been registered on an object on the bus with registerInterface().

Returns:
  The AvatarSpec that has been set with setAvatarDetails().

See also:
  setAvatarDetails()

void Tp::BaseProtocolAvatarsInterface::setAvatarDetails | ( | const AvatarSpec & | details | ) |

Set the avatar details that will be exposed on the properties of this interface on the bus.

This property is immutable and cannot change after this interface has been registered on an object on the bus with registerInterface().

Parameters:

  details | The details to set.

See also:
  avatarDetails()